package org.mycompany.filedownloadtest;

import com.vaadin.server.FileDownloader;
import com.vaadin.server.Page;
import com.vaadin.ui.Button;
import com.vaadin.ui.HorizontalLayout;

@Download
public class DownloadTextWindow extends TextWindow {

    private static final long serialVersionUID = 1L;

    @Override
    public void init(final String caption, final String source) {
        super.init(caption, source);
        
        final HorizontalLayout buttonLayout = new HorizontalLayout();
        buttonLayout.setWidth("100%");
        
        final Button download = new Button("Download vaadin7 style");
        download.setImmediate(true);
        download.addClickListener(e -> {

            FileDownloader fd = new FileDownloader(mainUI.get().getFileResource(caption));
            fd.extend(download);
            
        });
        final Button downloadOldStyle = new Button("Download old style");
        downloadOldStyle.setImmediate(true);
        downloadOldStyle.addClickListener(e -> {

            Page.getCurrent().open(mainUI.get().getFileResource(caption), "_self", false);

        });
        buttonLayout.addComponents(download, downloadOldStyle);
        
        layout.addComponentAsFirst(buttonLayout);
    }

}
