package org.mycompany.filedownloadtest;

import com.vaadin.event.ShortcutAction.KeyCode;
import com.vaadin.shared.ui.label.ContentMode;
import com.vaadin.ui.Label;
import com.vaadin.ui.VerticalLayout;
import com.vaadin.ui.Window;
import javax.annotation.PostConstruct;
import javax.inject.Inject;
import javax.inject.Provider;

public class TextWindow extends Window {

    private static final long serialVersionUID = 1;
    
    @Inject
    protected Provider<MyUI> mainUI;
    protected VerticalLayout layout;

    @PostConstruct
    public void initUI() {
        layout = new VerticalLayout();
        setContent(layout);
        layout.setMargin(true);
        layout.setSpacing(true);
        
        setWidth("50%");
        setHeight("70%");
        center();
        setImmediate(true);
        setModal(true);
        addCloseShortcut(KeyCode.ESCAPE);
    }

    public void init(String caption, String source) {
        setCaption(caption);
        final Label label = new Label(source, ContentMode.TEXT);
        layout.addComponent(label);
        mainUI.get().addWindow(this);
        focus();
    }

    @Override
    public void close() {
        super.close();
        mainUI.get().removeWindow(this);
    }
}
